/*
 $License:
    Copyright (C) 2010 InvenSense Corporation, All Rights Reserved.
 $
 */
/******************************************************************************
 * $Id: packet.h $
 *****************************************************************************/
/**
 *  @defgroup eMPL
 *  @brief  eMPL Layer.
 *
 *  @{
 *      @file   packet.h
 *      @brief  Sets up data for transmission on a UART port.
 */

#ifndef __PACKET_H__
#define __PACKET_H__

#include "mltypes.h"

#define PACKET_TYPE_DEBUG       (1)
#define PACKET_TYPE_QUATERNION  (2)
#define PACKET_TYPE_DATA	    (3)

inv_error_t eMPL_send_packet(unsigned char type, unsigned char *data);
inv_error_t eMPL_get_packet(unsigned char *type, unsigned char *data);

#endif /* __PACKET_H__ */
